package cn.iocoder.yudao.module.mqtt.api.common;

import cn.iocoder.yudao.module.mqtt.api.task.dto.RobotAcceptTaskDTO;
import cn.iocoder.yudao.module.mqtt.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.Valid;
import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "MQTT 服务 - 公共方法")
public interface CommonApi {

    String PREFIX = ApiConstants.PREFIX + "/config";

    @PostMapping(PREFIX + "/commonMethod")
    @Operation(summary = "公共方法")
    void commonMethod(@RequestBody Object obj,  @RequestParam("topic") String topic);
}
