package cn.iocoder.yudao.module.system.controller.admin.actionlog.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 车辆动作记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RobotTaskDetailActionLogPageReqVO extends PageParam {

    @Schema(description = "下发给车机的任务id", example = "18544")
    private Long commandId;

    @Schema(description = "下发给车机的任务类型", example = "2")
    private String commandType;

    @Schema(description = "下发给车机的任务数据(仅展示前250字符)")
    private String commandMsg;

    @Schema(description = "车辆当前正在做的动作")
    private String actionMsg;

    @Schema(description = "动作状态(0:未开始、1:正在进行、2:完成)", example = "2")
    private Integer actionStatus;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "robot_task_detail的id")
    private Long taskDetailId;

}