package cn.iocoder.yudao.module.system.controller.admin.actionlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆动作记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotTaskDetailActionLogRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "25503")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "下发给车机的任务id", example = "18544")
    @ExcelProperty("下发给车机的任务id")
    private Long commandId;

    @Schema(description = "下发给车机的任务类型", example = "2")
    @ExcelProperty("下发给车机的任务类型")
    private String commandType;

    @Schema(description = "下发给车机的任务数据(仅展示前250字符)")
    @ExcelProperty("下发给车机的任务数据(仅展示前250字符)")
    private String commandMsg;

    @Schema(description = "车辆当前正在做的动作")
    @ExcelProperty("车辆当前正在做的动作")
    private String actionMsg;

    @Schema(description = "动作状态(0:未开始、1:正在进行、2:完成)", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("动作状态(0:未开始、1:正在进行、2:完成)")
    private Integer actionStatus;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "robot_task_detail的id")
    private Long taskDetailId;

}