package cn.iocoder.yudao.module.system.controller.admin.bulletinboard;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.controller.admin.bulletinboard.vo.BulletinBoardVO;
import cn.iocoder.yudao.module.system.service.bulletinboard.BulletinBoardService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.annotation.security.PermitAll;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Tag(name = "管理后台 - 整体看板")
@RestController
@RequestMapping("/system/bulletinBoard")
public class BulletinBoardController {

    @Resource
    private BulletinBoardService bulletinBoardService;

    @GetMapping({"/get"})
    @Operation(summary = "获取整体看板信息")
    @PermitAll
    public CommonResult<BulletinBoardVO> get() {
        BulletinBoardVO vo = bulletinBoardService.getBulletinBoard();
        return success(vo);
    }
}
