package cn.iocoder.yudao.module.system.controller.admin.config.vo;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;
import cn.iocoder.yudao.framework.common.exception.enums.ServiceErrorCodeRange;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.io.Serializable;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 通用配置新增/修改 Request VO")
@Data
public class CommonConfigSaveReqVO implements Serializable {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "22456")
    private Long id;

    //查看 CommandConfigTypeEnum
    @Schema(description = "类型（1:参数配置)", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer configType;

    @Schema(description = "配置信息")
    private String configStr;

}