package cn.iocoder.yudao.module.system.controller.admin.config.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 参数设置
 */
@Data
public class CommonConfigVO {

    @Schema(description = "自动充电电量-充电-阀值")
    private Integer startAutoCharge;

    @Schema(description = "自动充电电量-离开-阀值")
    private Integer endAutoCharge;

    @Schema(description = "机会充电电量-充电-阀值")
    private Integer chanceChargeStart;

    @Schema(description = "机会充电电量-离开-阀值")
    private Integer chanceChargeEnd;

    @Schema(description = "定时充电时段-开始时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalDateTime scheduleChargeStartTime;

    @Schema(description = "定时充电时段-结束时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalDateTime scheduleChargeEndTime;

    @Schema(description = "冲满电周期(天)")
    private Integer chanceCycle;

    @Schema(description = "遇障告警设置-等待时间")
    private Integer warnWaitTime;

    @Schema(description = "每天(0:未勾选(1次)、1:勾选)")
    private Integer everyDay;

    @Schema(description = "未勾选(1次)--开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime onceStartTime;

    @Schema(description = "未勾选(1次)--结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime onceEndTime;

}
