package cn.iocoder.yudao.module.system.dal.dataobject.actionlog;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆动作记录 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_task_detail_action_log")
@KeySequence("robot_task_detail_action_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotTaskDetailActionLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 下发给车机的任务id
     */
    private Long commandId;
    /**
     * 下发给车机的任务类型
     */
    private String commandType;
    /**
     * 下发给车机的任务数据(仅展示前250字符)
     */
    private String commandMsg;
    /**
     * 车辆当前正在做的动作
     */
    private String actionMsg;
    /**
     * 动作状态(0:未开始、1:正在进行、2:完成)
     */
    private Integer actionStatus;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * robot_task_detail的id
     */
    private Long taskDetailId;

}