package cn.iocoder.yudao.module.system.service.actionlog;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.actionlog.vo.RobotTaskDetailActionLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.actionlog.vo.RobotTaskDetailActionLogSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.actionlog.RobotTaskDetailActionLogDO;

/**
 * 车辆动作记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotTaskDetailActionLogService {

    /**
     * 创建车辆动作记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskDetailActionLog(@Valid RobotTaskDetailActionLogSaveReqVO createReqVO);

    /**
     * 更新车辆动作记录
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskDetailActionLog(@Valid RobotTaskDetailActionLogSaveReqVO updateReqVO);

    /**
     * 删除车辆动作记录
     *
     * @param id 编号
     */
    void deleteTaskDetailActionLog(Long id);

    /**
     * 获得车辆动作记录
     *
     * @param id 编号
     * @return 车辆动作记录
     */
    RobotTaskDetailActionLogDO getTaskDetailActionLog(Long id);

    /**
     * 获得车辆动作记录分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆动作记录分页
     */
    PageResult<RobotTaskDetailActionLogDO> getTaskDetailActionLogPage(RobotTaskDetailActionLogPageReqVO pageReqVO);

    /**
     * 添加到缓存
     * @param logs
     */
    void addLogInCache(List<RobotTaskDetailActionLogDO> logs);
}