package cn.iocoder.yudao.module.system.service.cycle;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.cycle.vo.TaskCyclePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.cycle.vo.TaskCycleSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.cycle.TaskCycleDO;

/**
 * 循环任务点位 Service 接口
 *
 * @author 陈宾顺
 */
public interface TaskCycleService {

    /**
     * 创建循环任务点位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskCycle(@Valid TaskCycleSaveReqVO createReqVO);

    /**
     * 更新循环任务点位
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskCycle(@Valid TaskCycleSaveReqVO updateReqVO);

    /**
     * 删除循环任务点位
     *
     * @param id 编号
     */
    void deleteTaskCycle(Long id);

    /**
     * 获得循环任务点位
     *
     * @param id 编号
     * @return 循环任务点位
     */
    TaskCycleDO getTaskCycle(Long id);

    /**
     * 获得循环任务点位分页
     *
     * @param pageReqVO 分页查询
     * @return 循环任务点位分页
     */
    PageResult<TaskCycleDO> getTaskCyclePage(TaskCyclePageReqVO pageReqVO);

}