package cn.iocoder.yudao.module.system.service.tool;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import cn.iocoder.yudao.module.mqtt.api.path.PathPlanningApi;
import cn.iocoder.yudao.module.system.constant.path.PathPlanningTopicConstant;
import cn.iocoder.yudao.module.system.controller.admin.config.dto.TaskOrderConfigDTO;
import cn.iocoder.yudao.module.system.dal.dataobject.config.CommonConfigDO;
import cn.iocoder.yudao.module.system.dal.mysql.config.CommonConfigMapper;
import cn.iocoder.yudao.module.system.enums.config.CommandConfigTypeEnum;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

@Slf4j
@Service
@Validated
public class ToolsServiceImpl implements ToolsService {

    @Resource
    private PathPlanningApi pathPlanningApi;

    @Resource
    private CommonConfigMapper configMapper;

    /**
     * 发送时间、优先级、距离的权重给PP
     *
     * @return
     */
    @Override
    public String sendPPsortConfig() {

        CommonConfigDO commonConfigDO = configMapper.selectOne(new LambdaQueryWrapper<CommonConfigDO>()
                .eq(CommonConfigDO::getConfigType, CommandConfigTypeEnum.PP_WEIGHT_CONFIG.getType()));
        if (ObjectUtil.isNotEmpty(commonConfigDO)) {
            TaskOrderConfigDTO taskOrderConfigDTO = JSONUtil.toBean(commonConfigDO.getConfigStr(), TaskOrderConfigDTO.class);
            pathPlanningApi.synchronousLineObject(taskOrderConfigDTO,
                    PathPlanningTopicConstant.SEND_SORT_CONFIG_TO_PP);
        }

        return "发送数据库权重配置成功";
    }
}
